Skip to content
Start here

Delete event

DELETE/zones/{zone_id}/waiting_rooms/{waiting_room_id}/events/{event_id}

Deletes an event for a waiting room.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Waiting Rooms Write
Path ParametersExpand Collapse
zone_id: string

Identifier.

maxLength32
waiting_room_id: string
event_id: string
ReturnsExpand Collapse
result: { id }
id: optional string

Delete event

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/waiting_rooms/$WAITING_ROOM_ID/events/$EVENT_ID \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "id": "25756b2dfe6e378a06b033b670413757"
  }
}
Returns Examples
{
  "result": {
    "id": "25756b2dfe6e378a06b033b670413757"
  }
}